Bug 1292169 - Solaar tray / gui in KDE does not show devices but solaar CLI does
Solaar tray / gui in KDE does not show devices but solaar CLI does
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: solaar (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 10:59 EST by Raman Gupta
Modified: 2016-12-20 12:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:05:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raman Gupta 2015-12-16 10:59:40 EST
Description of problem:

The Solaar tray/gui shows only the "Unifying Receiver" and "1 paired devices". However, when running "solaar show" from the command line, it shows the correct information (2 paired devices, one keyboard and one mouse):

~ solaar show
Unifying Receiver
  Device path  : /dev/hidraw0
  USB id       : 046d:c52b
  Serial       : D7DF9CB1
    Firmware   : 24.00.B0018
    Bootloader : 00.06
  Has 2 paired device(s) out of a maximum of 6.
  Notifications: wireless, software present (0x000900)
  Device activity counters: 2=72, 3=5

  2: Wireless Keyboard MK700
     Codename     : MK700
     Kind         : keyboard
     Wireless PID : 2008
     Protocol     : HID++ 1.0
     Polling rate : 20 ms (50Hz)
     Serial number: 075EF424
          Firmware: 25.00.B0009
        Bootloader: 02.03
             Other: 00.01
     The power switch is located on the edge of top right corner.
     Notifications: battery status (0x100000).
     Battery: low, discharging.

  3: Performance Mouse MX
     Codename     : Performance MX
     Kind         : mouse
     Wireless PID : 101A
     Protocol     : HID++ 1.0
     Polling rate : 8 ms (125Hz)
     Serial number: 7EBA1FF8
          Firmware: 15.01.B0062
        Bootloader: 02.11
             Other: 00.09
     The power switch is located on the base.
     Notifications: battery status (0x100000).
     Battery: critical, discharging.

Permissions / ACLs on the device node are correct:

getfacl /dev/hidraw0
getfacl: Removing leading '/' from absolute path names
# file: dev/hidraw0
# owner: root
# group: root
user::rw-
user:raman:rw-
group::---
mask::rw-
other::---

This used to work fine in Fedora 21.


Version-Release number of selected component (if applicable):

Name        : solaar
Version     : 0.9.2
Release     : 4.20150528gitcf27328.fc23.1
Comment 1 Raman Gupta 2015-12-16 15:32:49 EST
And after a reboot its working fine. So it seems to be a state issue of some type. If I can find a repro I'll post.
Comment 2 Raman Gupta 2015-12-21 21:06:56 EST
I can reproduce this reliably by switching the mouse and keyboard to another keyboard via my KVM, and then switching it back. In this situation, the mouse and keyboard work fine, as does the Solaar cli, but the GUI does not work, even if restarted.

There was an error message about permissions on /dev/hidraw0, though those seem to be fine, as shown above.
Comment 3 Fedora End Of Life 2016-11-24 09:16:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:05:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.